Package org.apache.storm.loadgen

# Enum Class GroupingType

java.lang.Object
java.lang.Enum<GroupingType>
org.apache.storm.loadgen.GroupingType

All Implemented Interfaces:
  `Serializable`, `Comparable<GroupingType>`, `Constable`

public enum GroupingType extends Enum<GroupingType>
The different types of groupings that are supported.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `FIELDS`
  `GLOBAL`
  `LOCAL_OR_SHUFFLE`
  `NONE`
  `PARTIAL_KEY`
  `SHUFFLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `assign(BoltDeclarer declarer, InputStream stream)`
  `static GroupingType`
  `fromConf(String conf)`
  Parse a String config value and covert it into the enum.
  `String`
  `toConf()`
  `static GroupingType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GroupingType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SHUFFLE

    public static final GroupingType SHUFFLE

  - ### FIELDS

    public static final GroupingType FIELDS

  - ### ALL

    public static final GroupingType ALL

  - ### GLOBAL

    public static final GroupingType GLOBAL

  - ### LOCAL_OR_SHUFFLE

    public static final GroupingType LOCAL_OR_SHUFFLE

  - ### NONE

    public static final GroupingType NONE

  - ### PARTIAL_KEY

    public static final GroupingType PARTIAL_KEY

- ## Method Details

  - ### values

    public static GroupingType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GroupingType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromConf

    public static GroupingType fromConf(String conf)
    Parse a String config value and covert it into the enum.
    Parameters:
      `conf` - the string config.
    Returns:
      the parsed grouping type or SHUFFLE if conf is null.
    Throws:
      `IllegalArgumentException` - if parsing does not work.

  - ### toConf

    public String toConf()

  - ### assign

    public abstract void assign(BoltDeclarer declarer, InputStream stream)